# Created by pyp2rpm-3.3.5
%global pypi_name webdriverdownloader

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Python module and CLI tool for facilitating download and deploy of WebDriver binaries

License:        MIT
URL:            https://github.com/leonidessaguisagjr/webdriverdownloader
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
webdriverdownloader Python module to facilitate downloading and deploying
WebDriver < binaries. The classes in this module can be used to automatically
search for and download the latest version (or a specific version) of a
WebDriver binary (will download to $HOME/webdriver or /usr/local/webdriver if
run with sudo), extract the binary from the downloaded archive and create a
symlink in either...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(beautifulsoup4)
Requires:       python3dist(requests)
Requires:       python3dist(setuptools)
Requires:       python3dist(tqdm)
%description -n python3-%{pypi_name}
webdriverdownloader Python module to facilitate downloading and deploying
WebDriver < binaries. The classes in this module can be used to automatically
search for and download the latest version (or a specific version) of a
WebDriver binary (will download to $HOME/webdriver or /usr/local/webdriver if
run with sudo), extract the binary from the downloaded archive and create a
symlink in either...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/webdriverdownloader
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Jan 08 2021 mockbuilder - 1.0.0-1
- Initial package.